/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/filesystem/io/xml/xmlparser.hpp

*/

#ifndef SGX_FILESYSTEM_IO_XMLPARSER_HPP
#define SGX_FILESYSTEM_IO_XMLPARSER_HPP	1


class CXMLParser {
public:
    static  CXMLParser    *get();
    static  CXMLParser    *create();
    virtual tBOOL			parseFile(sgxXMLTree &tree, CSGXFile &file);

protected:
    static  CXMLParser    *ms_pSingleton;
    CXMLParser();
    virtual ~CXMLParser();
};


#endif /* SGX_FILESYSTEM_IO_XMLPARSER_HPP */
